## visad
Class Text

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Scalar
                  visad.Text

All Implemented Interfaces:
  Cloneable, Comparable, Data, ScalarIface, Serializable, Thing

public class Text
extends Scalar

Text is the class of VisAD scalar data for text strings. The null pointer is used to indicate missing. Text objects are immutable.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`Text(String value)` construct a Text object with the generic TEXT type (TextType.Generic)
`Text(TextType type)` construct a Text object with the missing value
`Text(TextType type, String value)` construct a Text object

Method Summary
`Data` `binary(Data data, int op, int sampling_mode, int error_mode)` Pointwise binary operation between this and data.
`int` `compareTo(Object object)` Compares this Text to another.
`DataShadow` `computeRanges(ShadowType type, DataShadow shadow)` Recursive version of computeRanges(), called down through Data object tree.
`boolean` `equals(Object obj)` Indicates if this Text is semantically identical to an object.
`String` `getValue()`
`boolean` `isMissing()`
`String` `longString(String pre)`
`String` `toString()`
`Data` `unary(int op, int sampling_mode, int error_mode)` Pointwise unary operation applied to this.

Methods inherited from class visad.Scalar
`addReference, clone, removeReference`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Constructor Detail

### Text

    public Text(TextType type)
         throws VisADException

  construct a Text object with the missing value

### Text

    public Text(TextType type,
                String value)
         throws VisADException

  construct a Text object

### Text

    public Text(String value)

  construct a Text object with the generic TEXT type (TextType.Generic)

Method Detail

### getValue

    public String getValue()

### isMissing

    public boolean isMissing()

  Returns:
    flag indicating whether this Data has a missing value

### binary

    public Data binary(Data data,
                       int op,
                       int sampling_mode,
                       int error_mode)
                throws VisADException

  Description copied from interface: `Data`
  Pointwise binary operation between this and data. Applies to Reals, Tuples (recursively to components), and to Field ranges (Field domains implicitly resampled if necessary). Does not apply to Field domains or Sets (regarded as domains of Fields wthout ranges). Data.ADD is only op defined for Text, interpreted as concatenate. MathTypes of this and data must match, or one may match the range of the other if it is a FunctionType.

  Specified by:
    `binary` in interface `Data`
  Overrides:
    `binary` in class `DataImpl`
  Parameters:
    `data` - other Data operand for binary operation
    `op` - may be Data.ADD, Data.SUBTRACT, etc; these include all binary operations defined for Java primitive data types
    `sampling_mode` - may be Data.NEAREST_NEIGHBOR or Data.WEIGHTED_AVERAGE
    `error_mode` - may be Data.INDEPENDENT, Data.DEPENDENT or Data.NO_ERRORS;
  Returns:
    result, which takes the MathType of this unless the default Units of that MathType conflict with Units of the result, in which case a generic MathType with appropriate Units is constructed
  Throws:
    `VisADException` - a VisAD error occurred

### unary

    public Data unary(int op,
                      int sampling_mode,
                      int error_mode)
               throws VisADException

  Description copied from interface: `Data`
  Pointwise unary operation applied to this. Applies to Reals, Tuples (recursively to components), and to Field ranges (Field domains implicitly resampled if necessary). Does not apply to Field domains, Sets (regarded as domains of Fields wthout ranges) or Text.

  Specified by:
    `unary` in interface `Data`
  Overrides:
    `unary` in class `DataImpl`
  Parameters:
    `op` - may be Data.ABS, Data.ACOS, etc; these include all unary operations defined for Java primitive data types
    `sampling_mode` - may be Data.NEAREST_NEIGHBOR or Data.WEIGHTED_AVERAGE
    `error_mode` - may be Data.INDEPENDENT, Data.DEPENDENT or Data.NO_ERRORS;
  Returns:
    result of operation, which takes the MathType of this unless the default Units of that MathType conflict with Units of the result, in which case a generic MathType with appropriate Units is constructed
  Throws:
    `VisADException` - a VisAD error occurred

### computeRanges

    public DataShadow computeRanges(ShadowType type,
                                    DataShadow shadow)
                             throws VisADException

  Description copied from interface: `Data`
  Recursive version of computeRanges(), called down through Data object tree.

  Parameters:
    `type` - ShadowType generated for MathType of this
    `shadow` - DataShadow instance whose contained double[][] array and animation sampling Set are modified according to RealType values in this, and used as return value
  Returns:
    DataShadow instance containing double[][] array of RealType ranges, and an animation sampling Set
  Throws:
    `VisADException` - a VisAD error occurred

### toString

    public String toString()

  Overrides:
    `toString` in class `DataImpl`
  Returns:
    a String representation of this

### longString

    public String longString(String pre)

  Specified by:
    `longString` in interface `Data`
  Overrides:
    `longString` in class `DataImpl`
  Parameters:
    `pre` - String added to start of each line
  Returns:
    a longer String than returned by toString(), indented by pre (a string of blanks)

### compareTo

    public int compareTo(Object object)

  Compares this Text to another.

  Parameters:
    `object` - The other Text to compare against. It shall be a Text.
  Returns:
    A negative integer, zero, or a positive integer depending on whether this Text is considered less than, equal to, or greater than the other Text, respectively.

### equals

    public boolean equals(Object obj)

  Indicates if this Text is semantically identical to an object.

  Specified by:
    `equals` in interface `ScalarIface`
  Specified by:
    `equals` in class `Scalar`
  Parameters:
    `obj` - The object.
  Returns:
    `true` if and only if this Text is semantically identical to the object.